Theme install error

This topic is: Not resolved

This is a PRIVATE forum for verified users only, to view the replies/answers, you must be logged in!

This topic contains 5 replies, has 3 voices, and was last updated by  Max 1 month ago.

  • Author
    Posts
  • #14278

    smartsaver
    Member
    Post count: 45

    Hi,

    I tried to update my Sparkle theme to the latest version using Envato Toolkit.

    Initially i had problem installing as the destination yeahthemes-sparkle exist. I renamed the folder and begin installing before encountering another error:

    Warning: require_once(/home/MYSITE/public_html/wp-admin): failed to open stream: No such file or directory in /home/MYSITE/public_html/wp-content/themes/yeahthemes-sparkle/includes/theme-init.php on line 59

    Fatal error: require_once(): Failed opening required ” (include_path=’.:/usr/lib/php:/usr/local/lib/php:/home/MYSITE/php’) in /home/MYSITE/public_html/wp-content/themes/yeahthemes-sparkle/includes/theme-init.php on line 59

    My whole site went down after that. What happened?

  • #14279

    Jacob
    Staff
    Post count: 2312

    Hey there, You must be logged in to view this reply!

    Login | Register | Forgot Password?

  • #14280

    smartsaver
    Member
    Post count: 45

    Hi Jacob,

    Need some help here. I just replaced Envato Toolkit with Envato Market and was installing the new theme from it.

    When i activated the new Sparkle 2, my site got brought down again with a Fatal error on PHP.

    What i did: I activated the Twentyfifteen theme as a placehold while i rename the old yeahtheme-sparkle folder as a backup. I install the new Sparkle and activated it, but it shows a fatal error. Now i can’t access dashboard to make any changes. Please help!

    Warning: require_once(/home/MYSITE/public_html/wp-content/themes/twentyfifteen/framework/classes/class.category-custom-fields.php): failed to open stream: No such file or directory in /home/MYSITE/public_html/wp-content/themes/yeahthemes-sparkle/includes/theme-config.php on line 518

    Fatal error: require_once(): Failed opening required ‘/home/MYSITE/public_html/wp-content/themes/twentyfifteen/framework/classes/class.category-custom-fields.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php:/home/MYSITE/php’) in /home/MYSITE/public_html/wp-content/themes/yeahthemes-sparkle/includes/theme-config.php on line 518

  • #14281

    Max
    Staff
    Post count: 3150

    Hey there, You must be logged in to view this reply!

    Login | Register | Forgot Password?

  • #14282

    smartsaver
    Member
    Post count: 45

    The version from Envato Market is the latest parent theme, isn’t it? There’s no new version of the Child Theme?

    I activated Child Theme and that’s when the site comes down crashing with a PHP error.

    Could it be due to it being cached to read everything from the old parent theme, and that’s why even after the new parent theme is in the themes folder, it doesn’t automatically read the new files?

    How do i resolve this?

    And also, what about the theme settings? Will it be automatically ported over to the new one?

  • #14285

    Max
    Staff
    Post count: 3150

    Hey there, You must be logged in to view this reply!

    Login | Register | Forgot Password?

You must be logged in to reply to this topic.

This is a PRIVATE forum for verified users only, to view the replies/answers, you must be logged in!